Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RNode Struct Reference

`#include <node.h>`

## Data Fields
VALUE | flags
VALUE | nd_reserved
union {
struct RNode * node
ID id
VALUE value
VALUE(* cfunc )(ANYARGS)
ID * tbl
} | u1
union {
struct RNode * node
ID id
long argc
VALUE value
} | u2
union {
struct RNode * node
ID id
long state
struct rb_global_entry * entry
struct rb_args_info * args
long cnt
VALUE value
} | u3
union {
struct RNode * node
ID id
VALUE value
VALUE(* cfunc )(ANYARGS)
ID * tbl
} | u1
union {
struct RNode * node
ID id
long argc
VALUE value
} | u2
union {
struct RNode * node
ID id
long state
struct rb_global_entry * entry
struct rb_args_info * args
long cnt
VALUE value
} | u3

## Detailed Description

Definition at line 240 of file ripper.y.

## Field Documentation

long RNode::argc

Definition at line 253 of file ripper.y.

Referenced by inject_i(), and inject_op_i().

struct rb_args_info* RNode::args

Definition at line 261 of file ripper.y.

Referenced by gc_mark_children().

VALUE(* RNode::cfunc)(ANYARGS)

Definition at line 247 of file ripper.y.

long RNode::cnt

Definition at line 262 of file ripper.y.

Referenced by count_all_i(), count_i(), count_iter_i(), drop_i(), each_cons_i(), each_slice_i(), find_i(), find_index_i(), find_index_iter_i(), gc_mark_children(), rb_parser_realloc(), take_i(), and zip_ary().

struct rb_global_entry* RNode::entry

Definition at line 260 of file ripper.y.

VALUE RNode::flags

Definition at line 241 of file ripper.y.

Referenced by eval_under(), iseq_compile_each(), newline_node(), rb_mod_nesting(), rb_mod_s_constants(), rb_node_newnode(), rb_using_refinement(), rb_yield_refine_block(), reduce_nodes_gen(), vm_get_const_base(), vm_get_cvar_base(), vm_get_ev_const(), and yield_under().

ID RNode::id

Definition at line 245 of file ripper.y.

Referenced by defined_expr(), inject_op_i(), and iseq_compile_each().

VALUE RNode::nd_reserved

Definition at line 242 of file ripper.y.

struct RNode* RNode::node

Definition at line 244 of file ripper.y.

Referenced by gc_mark_children(), iseq_compile_each(), rb_parser_free(), and rb_parser_realloc().

long RNode::state

Definition at line 259 of file ripper.y.

Referenced by drop_while_i().

ID* RNode::tbl

Definition at line 248 of file ripper.y.

union { ... } RNode::u1

union { ... } RNode::u1

Referenced by count_i(), drop_i(), drop_while_i(), each_cons_i(), each_slice_i(), enum_max(), enum_min(), enum_minmax(), enum_sort_by(), find_i(), find_index_i(), find_index_iter_i(), first_i(), gc_mark_children(), grep_i(), grep_iter_i(), inject_i(), inject_op_i(), iseq_compile_each(), lep_svar_get(), lep_svar_set(), max_by_i(), max_i(), max_ii(), member_i(), min_by_i(), min_i(), min_ii(), partition_i(), rb_node_newnode(), rb_parser_realloc(), take_i(), zip_ary(), and zip_i().

union { ... } RNode::u2

union { ... } RNode::u2

Referenced by find_index_i(), gc_mark_children(), grep_i(), grep_iter_i(), inject_i(), inject_op_i(), iseq_compile_each(), lep_svar_get(), lep_svar_set(), max_by_i(), member_i(), min_by_i(), partition_i(), rb_node_newnode(), rb_parser_free(), rb_parser_realloc(), zip_ary(), and zip_i().

union { ... } RNode::u3

union { ... } RNode::u3

Referenced by count_all_i(), count_i(), count_iter_i(), drop_i(), drop_while_i(), each_cons_i(), each_slice_i(), find_i(), find_index_i(), find_index_iter_i(), gc_mark_children(), inject_op_i(), lep_svar_get(), lep_svar_set(), rb_node_newnode(), rb_parser_realloc(), take_i(), and zip_ary().

VALUE RNode::value

Definition at line 246 of file ripper.y.

Referenced by count_i(), drop_i(), drop_while_i(), each_cons_i(), each_slice_i(), enum_max(), enum_min(), enum_minmax(), find_i(), find_index_i(), find_index_iter_i(), first_i(), gc_mark_children(), grep_i(), grep_iter_i(), inject_i(), inject_op_i(), lep_svar_get(), lep_svar_set(), max_by_i(), max_i(), max_ii(), member_i(), min_by_i(), min_i(), min_ii(), partition_i(), rb_node_newnode(), take_i(), vm_get_ev_const(), zip_ary(), and zip_i().

The documentation for this struct was generated from the following file:

- node.h